/*
Rewards API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package rewardsapi

import (
	"encoding/json"
)

// checks if the RunSweepstakeRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &RunSweepstakeRequest{}

// RunSweepstakeRequest struct for RunSweepstakeRequest
type RunSweepstakeRequest struct {
	Name *string `json:"name,omitempty"`
}

// NewRunSweepstakeRequest instantiates a new RunSweepstakeRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewRunSweepstakeRequest() *RunSweepstakeRequest {
	this := RunSweepstakeRequest{}
	return &this
}

// NewRunSweepstakeRequestWithDefaults instantiates a new RunSweepstakeRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewRunSweepstakeRequestWithDefaults() *RunSweepstakeRequest {
	this := RunSweepstakeRequest{}
	return &this
}

// GetName returns the Name field value if set, zero value otherwise.
func (o *RunSweepstakeRequest) GetName() string {
	if o == nil || IsNil(o.Name) {
		var ret string
		return ret
	}
	return *o.Name
}

// GetNameOk returns a tuple with the Name field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *RunSweepstakeRequest) GetNameOk() (*string, bool) {
	if o == nil || IsNil(o.Name) {
		return nil, false
	}
	return o.Name, true
}

// HasName returns a boolean if a field has been set.
func (o *RunSweepstakeRequest) HasName() bool {
	if o != nil && !IsNil(o.Name) {
		return true
	}

	return false
}

// SetName gets a reference to the given string and assigns it to the Name field.
func (o *RunSweepstakeRequest) SetName(v string) {
	o.Name = &v
}

func (o RunSweepstakeRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o RunSweepstakeRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Name) {
		toSerialize["name"] = o.Name
	}
	return toSerialize, nil
}

type NullableRunSweepstakeRequest struct {
	value *RunSweepstakeRequest
	isSet bool
}

func (v NullableRunSweepstakeRequest) Get() *RunSweepstakeRequest {
	return v.value
}

func (v *NullableRunSweepstakeRequest) Set(val *RunSweepstakeRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableRunSweepstakeRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableRunSweepstakeRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableRunSweepstakeRequest(val *RunSweepstakeRequest) *NullableRunSweepstakeRequest {
	return &NullableRunSweepstakeRequest{value: val, isSet: true}
}

func (v NullableRunSweepstakeRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableRunSweepstakeRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


